#ifndef MISSIONSELECT_H
#define MISSIONSELECT_H
#ifdef _WIN32
#pragma once
#endif

#include "vgui_helpers.h"
#include <vgui_controls/Frame.h>

class BitmapImage;

using namespace vgui;

class CMissionSelectPanel : public Frame
{
	DECLARE_CLASS_SIMPLE(CMissionSelectPanel,Frame);
public:
	CMissionSelectPanel( vgui::VPANEL parent );

	virtual void ApplySchemeSettings(vgui::IScheme *pScheme);

	void RefreshMapsList( void );
	void Reset( void );

protected:
	virtual void OnCommand( const char *command);
	virtual void OnTick();

private:
	ListPanel	*m_pMapList;

	Label		*m_pMapInfoTitle;
	ImagePanel	*m_pMapPreview;
	ImagePanel	*m_pMapBlack;
	BitmapImage *m_pMapPreviewImage;
	BitmapImage *m_pMapBlackImage;
	Label		*m_pMapInfo;

	Button		*m_pLaunch;

	KeyValues	*m_pSelected;
};
DeclarePanel(CMissionSelect,CMissionSelectPanel,missionselect);

#endif // MISSIONSELECT_H 
